> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/changelog/june-2025/june-27/trigger-promotions-with-any-product.md).

# Trigger promotions with any product

#### What's new

New promotion setting allows all products in the store to trigger the promotion.&#x20;

#### Changes in API

New `all` field available for <mark style="color:green;">`GET`</mark> `/promotions` and <mark style="color:purple;">`PUT`</mark> <mark style="color:blue;">`POST`</mark> `/promotions/{promotionId}` API requests allows you to enable all products as triggers for the promotion.

It can be combined with the `excludedProducts` array to create "all products except..." trigger condition for your promotion.

#### Documentation links

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/wZpkn8Be2UQ0eBwkopXo" %}
[Search promotions](https://docs.ecwid.com/api-reference/rest-api/discounts/promotions/search-promotions.md)
{% endcontent-ref %}

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/uhUCpv396jKzbgCaJsU4" %}
[Update promotion](https://docs.ecwid.com/api-reference/rest-api/discounts/promotions/update-promotion.md)
{% endcontent-ref %}

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/9hRrRL3BKHHMbzRoJGX2" %}
[Create promotion](https://docs.ecwid.com/api-reference/rest-api/discounts/promotions/create-promotion.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ecwid.com/changelog/june-2025/june-27/trigger-promotions-with-any-product.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
